This was created by checking out qtbase and checking out the kf5 patches
from kde.  For more details of those, see
https://dot.kde.org/2021/04/06/announcing-kdes-qt-5-patch-collection

git clone https://invent.kde.org/qt/qt/qtbase # gives current 6.N
cd qtbase
git checkout -t origin/5.15
git format-patch origin/5.15.2..origin/kde/5.15

To update for new patches, git pull and then rerun git format-patch.

Last updated: 2021-01-25

The following patches are already in the 5.15.2 release, so I
have commented them:

003-Update-CLDR-to-v37-adding-Nigerian-Pidgin-as-a-new-l.patch 
007-Deprecate-ordering-on-QItemSelectionRange.patch
008-Deprecate-QLocale-Language-entries-that-no-locale-da.patch
009-Deprecate-old-aliases-for-two-countries-and-several-.patch
016-Fix-QScreen-orientation-not-being-updated-when-setti.patch
019-Android-disable-Gradle-caching-by-default.patch
020-Android-replace-stacktrace-with-debug-message-in-sea.patch
042-Add-changes-file-for-Qt-5.15.2.patch
051-Fix-compilation-when-using-no-mimetype-database.patch

In addition, one patch creates two png files, 'gnu patch' cannot apply
those. However, they are for tests and therefore the pngs are not
required in a release build, so the binary patches are commented to
prevent patch ending with non-zero status.
043-Set-the-url-to-have-the-AtNx-filename-if-one-is-foun.patch

Finally, one patch would change the version to 5.15.3 which is not
convenient, so that too is commented:
068-Bump-version.patch

From aebc0df4bd4bcf4c705302f45347db2c21ce1b24 Mon Sep 17 00:00:00 2001
From: Oliver Wolff <oliver.wolff@qt.io>
Date: Mon, 26 Oct 2020 08:52:46 +0100
Subject: [PATCH 001/262] toolchain.prf: Use vswhere to obtain VS installation
 path

Beginning with Visual Studio 2017, vswhere should be used to discover
Visual Studio installations. Installations of 2019 and up are not even
registered inside the registry anymore, so vswhere is the only way to
obtain information about these.

Task-number: QTVSADDINBUG-819
Change-Id: Ibd8b2c4d38c7925857887f39e750e87a33f08bf9
Reviewed-by: Joerg Bornemann <joerg.bornemann@qt.io>
(cherry picked from commit 04e03065203550fdc2a06070d5250f66cbff7d4b)
Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
---
 mkspecs/features/toolchain.prf | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

diff --git a/mkspecs/features/toolchain.prf b/mkspecs/features/toolchain.prf
index efbe7c1e55..11ecd6b2a5 100644
--- a/mkspecs/features/toolchain.prf
+++ b/mkspecs/features/toolchain.prf
@@ -326,9 +326,17 @@ isEmpty($${target_prefix}.INCDIRS) {
             error("Mkspec does not specify MSVC_VER. Cannot continue.")
         versionAtLeast(MSVC_VER, 15.0) {
             dir = $$(VSINSTALLDIR)
-            isEmpty(dir): \
-                dir = $$read_registry(HKLM, \
-                    "Software\\Microsoft\\VisualStudio\\SxS\\VS7\\$$MSVC_VER", 32)
+            isEmpty(dir) {
+                version_parts = $$split(MSVC_VER, .)
+                MSVC_NEXT_MAJOR = $$num_add($$first(version_parts), 1)
+                vswhere = "$$getenv(ProgramFiles\(x86\))/Microsoft Visual Studio/Installer/vswhere.exe"
+                !exists($$vswhere): \
+                    error("Could not find $$vswhere")
+                vswhere = $$system_quote($$system_path($$vswhere))
+                # -version parameter: A version range for instances to find. 15.0 will get all versions >= 15.0
+                # Example: [15.0,16.0) will find versions 15.*.
+                dir = $$system("$$vswhere -latest -version [$$MSVC_VER,$${MSVC_NEXT_MAJOR}.0] -property installationPath")
+            }
             isEmpty(dir): \
                 error("Failed to find the Visual Studio installation directory.")
             cmd += $$system_quote($$dir\\VC\\Auxiliary\\Build\\vcvarsall.bat) $$arch
-- 
2.33.0

